Managed Service for MySQL API, REST: Cluster.AddHosts
Adds new hosts in a cluster.
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}/hosts:batchCreate
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to add hosts to. The maximum string length in characters is 50. |
Body parameters
{
"hostSpecs": [
{
"zoneId": "string",
"subnetId": "string",
"assignPublicIp": "boolean",
"replicationSource": "string",
"backupPriority": "string",
"priority": "string"
}
]
}
|
Field |
Description |
|
hostSpecs[] |
Configuration of the newly added hosts. Must contain exactly 1 element. |
HostSpec
|
Field |
Description |
|
zoneId |
string ID of the availability zone where the host resides. The maximum string length in characters is 50. |
|
subnetId |
string ID of the subnet to assign to the host. The maximum string length in characters is 50. |
|
assignPublicIp |
boolean Option that enables public IP address for the host so that the host can be accessed from the internet.
|
|
replicationSource |
string Host.name of the host to be used as the replication source (for cascading replication). |
|
backupPriority |
string (int64) Host backup priority Acceptable values are 0 to 100, inclusive. |
|
priority |
string (int64) Host master promotion priority Acceptable values are 0 to 100, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |